use clap::Parser;

mod client;

#[derive(Parser)]
#[command(version, about)]
struct Cli {
    /// SpaceAPI endpoint
    #[arg(short, long)]
    url: String,

    /// Period of querying, in seconds
    #[arg(short, long, default_value_t = 300)]
    delay: u64,
}

fn main() {
    let cli = Cli::parse();
}
